> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Company Service Providers

GET https://api.filesearch.dev/v2/datasets/odyssey/companies/{company_id}/service-providers

Get general service providers for company.

**Headers:**

* `Authorization`: Bearer \{api\_key}
* `X-Organization-ID`: Organization UUID

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/companies/companies-service-providers

## Request

### Path parameters

- `company_id` (string, required) — Company entity ID or identifier

## Response

### 200

Successful Response

## Errors

### 501 Not Implemented Error

Service provider data not currently available

- `error` (string, required)
- `message` (string, required)
- `details` (ErrorResponseV2Details, optional, nullable)
- `path` (string, optional, nullable)
- `success` (boolean, optional, default: false)

## Types

### ErrorResponseV2Details

## Examples

**Response**

```json
{
  "entity_id": "019e5ffb-550d-74b2-b4bb-84410a854f8d",
  "service_providers": [
    {
      "title": "Fulfill a balance confirmation request by an external audit firm : Stripe: Help & Support",
      "url": "https://support.stripe.com/questions/fulfill-a-balance-confirmation-request-by-an-external-audit-firm",
      "excerpts": [
        "# Fulfill a balance confirmation request by an external audit firm\n**Note to auditors:** Don't contact Stripe directly. To protect user privacy and security, we are unable to disclose user information to third parties. The Stripe account holder must contact Stripe support on your behalf.\nThe best way to work with an audit firm is to provide a **View Only** guest login to your dashboard. They will have access to the most detailed financial data of your business from the Reporting tab.\nTo invite an external member with **View Only** access, see [Invite team members or developers to access your …"
      ],
      "source": "parallel_search"
    },
    {
      "title": "Gtcandassociates",
      "url": "https://platform.tracxn.com/a/d/company/65e73f3b199a80384a38eaac/gtcandassociates?utm_source=parallel&utm_medium=ai#a:about",
      "excerpts": [
        "All Locations: India  \nName: Gtcandassociates\nWebsite Url: https://gtcandassociates.com\nFounded Year: 2011\nShort Description: Auditor & Tax Consultants delivering excellence in accounting, finance, and compliance\nDetailed Description: Auditor & Tax Consultants delivering excellence in accounting, finance, and compliance. We are a midsized firm rendering a multitude of services encompassing various facets of accounting and finance. Our expertise includes direct and indirect tax consultation, audit and assurance, company law, foreign trade policy, FEMA & RBI compliance. We offer services like …"
      ],
      "source": "parallel_search"
    }
  ],
  "total": 7,
  "data_sources": [
    "web_search"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/companies/stripe/service-providers",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/companies/stripe/service-providers`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```